Package com.ocient.jdbc.proto

# Class ClientWireProtocol.LocalQueries.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderType>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.LocalQueries.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ClientWireProtocol.LocalQueriesOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.LocalQueries

    public static final class ClientWireProtocol.LocalQueries.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>
    implements ClientWireProtocol.LocalQueriesOrBuilder

Protobuf type `xg.cmdcomp.LocalQueries`

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`ClientWireProtocol.LocalQueries.Builder` | `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.LocalQueries` | `build()` |
`ClientWireProtocol.LocalQueries` | `buildPartial()` |
`ClientWireProtocol.LocalQueries.Builder` | `clear()` |
`ClientWireProtocol.LocalQueries.Builder` | `clearDatabase()` | `string database = 3;`
`ClientWireProtocol.LocalQueries.Builder` | `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)` |
`ClientWireProtocol.LocalQueries.Builder` | `clearIdentity()` | Same data as md::objectId object Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig
`ClientWireProtocol.LocalQueries.Builder` | `clearOneIdentityOption()` |
`ClientWireProtocol.LocalQueries.Builder` | `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)` |
`ClientWireProtocol.LocalQueries.Builder` | `clearUuidIdentity()` | `bytes uuid_identity = 2;`
`ClientWireProtocol.LocalQueries.Builder` | `clone()` |
`String` | `getDatabase()` | `string database = 3;`
`com.google.protobuf.ByteString` | `getDatabaseBytes()` | `string database = 3;`
`ClientWireProtocol.LocalQueries` | `getDefaultInstanceForType()` |
`static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
`com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
`int` | `getIdentity()` | Same data as md::objectId object Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig
`ClientWireProtocol.LocalQueries.OneIdentityOptionCase` | `getOneIdentityOptionCase()` |
`com.google.protobuf.ByteString` | `getUuidIdentity()` | `bytes uuid_identity = 2;`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
`boolean` | `isInitialized()` |
`ClientWireProtocol.LocalQueries.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
`ClientWireProtocol.LocalQueries.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
`ClientWireProtocol.LocalQueries.Builder` | `mergeFrom​(ClientWireProtocol.LocalQueries other)` |
`ClientWireProtocol.LocalQueries.Builder` | `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.LocalQueries.Builder` | `setDatabase​(String value)` | `string database = 3;`
`ClientWireProtocol.LocalQueries.Builder` | `setDatabaseBytes​(com.google.protobuf.ByteString value)` | `string database = 3;`
`ClientWireProtocol.LocalQueries.Builder` | `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)` |
`ClientWireProtocol.LocalQueries.Builder` | `setIdentity​(int value)` | Same data as md::objectId object Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig
`ClientWireProtocol.LocalQueries.Builder` | `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)` |
`ClientWireProtocol.LocalQueries.Builder` | `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)` |
`ClientWireProtocol.LocalQueries.Builder` | `setUuidIdentity​(com.google.protobuf.ByteString value)` | `bytes uuid_identity = 2;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### clear

public ClientWireProtocol.LocalQueries.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### getDescriptorForType

public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.LocalQueries getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

### build

public ClientWireProtocol.LocalQueries build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

### buildPartial

public ClientWireProtocol.LocalQueries buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

### clone

public ClientWireProtocol.LocalQueries.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### setField

public ClientWireProtocol.LocalQueries.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### clearField

public ClientWireProtocol.LocalQueries.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### clearOneof

public ClientWireProtocol.LocalQueries.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### setRepeatedField

public ClientWireProtocol.LocalQueries.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### addRepeatedField

public ClientWireProtocol.LocalQueries.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### mergeFrom

public ClientWireProtocol.LocalQueries.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.LocalQueries.Builder>`

### mergeFrom

public ClientWireProtocol.LocalQueries.Builder mergeFrom​(ClientWireProtocol.LocalQueries other)

### isInitialized

public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### mergeFrom

public ClientWireProtocol.LocalQueries.Builder mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry) throws IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ClientWireProtocol.LocalQueries.Builder>`
Throws:
  `IOException`

### getOneIdentityOptionCase

public ClientWireProtocol.LocalQueries.OneIdentityOptionCase getOneIdentityOptionCase()

Specified by:
  `getOneIdentityOptionCase` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### clearOneIdentityOption

public ClientWireProtocol.LocalQueries.Builder clearOneIdentityOption()

### getIdentity

public int getIdentity()

    Same data as md::objectId object
    Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig

`int32 identity = 1;`

Specified by:
  `getIdentity` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### setIdentity

public ClientWireProtocol.LocalQueries.Builder setIdentity​(int value)

    Same data as md::objectId object
    Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig

`int32 identity = 1;`

### clearIdentity

public ClientWireProtocol.LocalQueries.Builder clearIdentity()

    Same data as md::objectId object
    Ideally would like to import objectId proto object, but proto lives in libxgsysnconfig

`int32 identity = 1;`

### getUuidIdentity

public com.google.protobuf.ByteString getUuidIdentity()
`bytes uuid_identity = 2;`

Specified by:
  `getUuidIdentity` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### setUuidIdentity

public ClientWireProtocol.LocalQueries.Builder setUuidIdentity​(com.google.protobuf.ByteString value)
`bytes uuid_identity = 2;`

### clearUuidIdentity

public ClientWireProtocol.LocalQueries.Builder clearUuidIdentity()
`bytes uuid_identity = 2;`

### getDatabase

public String getDatabase()
`string database = 3;`

Specified by:
  `getDatabase` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### getDatabaseBytes

public com.google.protobuf.ByteString getDatabaseBytes()
`string database = 3;`

Specified by:
  `getDatabaseBytes` in interface `ClientWireProtocol.LocalQueriesOrBuilder`

### setDatabase

public ClientWireProtocol.LocalQueries.Builder setDatabase​(String value)
`string database = 3;`

### clearDatabase

public ClientWireProtocol.LocalQueries.Builder clearDatabase()
`string database = 3;`

### setDatabaseBytes

public ClientWireProtocol.LocalQueries.Builder setDatabaseBytes​(com.google.protobuf.ByteString value)
`string database = 3;`

### setUnknownFields

public final ClientWireProtocol.LocalQueries.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.LocalQueries.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.LocalQueries.Builder>`